Skip to content

Update Sections

Operation
wsdlUpdateSections
SOAP Action
uri:FlexForce/GetSections
Service
FlexForce
Port
FlexForcePort
Style
rpc

Create or update sections on the unit identified by the API key.


Request

Message: wsdlUpdateSectionsRequest

apiKeystringrequired

API key of the unit that owns these sections.

sectionsArray<Section>required

Array of Section records to create or update.

itemSection

A section record (a sub-unit of a unit).

idint

Primary key. Can also be used as the identifier when updating an existing section.

extSectionIdstring

External section id. Can be used as the identifier when updating.

extGroupIdstring

External Neo group id. Can be used as the identifier when updating.

restIdint

Store (unit) id the section belongs to.

namestringrequired

Section name. Maximum 50 characters.

managerIdint

Employee id of the section manager. 0 when no manager is appointed.

managerGroupIdint

Manager group id. 0 when no manager group is appointed.

costCentreint

Cost centre id.

costCentreExtCodestring

External cost centre code. Ignored on input when costCentre is set. Empty string when not set.

tsdateTime

Timestamp of the last update, ISO 8601.

validationErrorsArray<xsd:string>

Array of validation errors. Empty on success.

curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
  -H 'Content-Type: text/xml; charset=utf-8' \
  -H 'SOAPAction: "uri:FlexForce/GetSections"' \
  --data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlUpdateSections>
    <apiKey xsi:type="xsd:string">string</apiKey>
    <sections xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:Section[1]">
      <item xsi:type="tns:Section">
        <id xsi:type="xsd:int">0</id>
        <extSectionId xsi:type="xsd:string">string</extSectionId>
        <extGroupId xsi:type="xsd:string">string</extGroupId>
        <restId xsi:type="xsd:int">0</restId>
        <name xsi:type="xsd:string">string</name>
        <managerId xsi:type="xsd:int">0</managerId>
        <managerGroupId xsi:type="xsd:int">0</managerGroupId>
        <costCentre xsi:type="xsd:int">0</costCentre>
        <costCentreExtCode xsi:type="xsd:string">string</costCentreExtCode>
        <ts xsi:type="xsd:dateTime">2024-01-01T00:00:00Z</ts>
        <validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
          <item xsi:type="xsd:string">string</item>
        </validationErrors>
      </item>
    </sections>
    </tns:wsdlUpdateSections>
  </soap:Body>
</soap:Envelope>
EOF

Response

Message: wsdlUpdateSectionsResponse

returnArray<Section>

Array of Section records reflecting the saved state.

itemSection

A section record (a sub-unit of a unit).

idint

Primary key. Can also be used as the identifier when updating an existing section.

extSectionIdstring

External section id. Can be used as the identifier when updating.

extGroupIdstring

External Neo group id. Can be used as the identifier when updating.

restIdint

Store (unit) id the section belongs to.

namestringrequired

Section name. Maximum 50 characters.

managerIdint

Employee id of the section manager. 0 when no manager is appointed.

managerGroupIdint

Manager group id. 0 when no manager group is appointed.

costCentreint

Cost centre id.

costCentreExtCodestring

External cost centre code. Ignored on input when costCentre is set. Empty string when not set.

tsdateTime

Timestamp of the last update, ISO 8601.

validationErrorsArray<xsd:string>

Array of validation errors. Empty on success.

<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlUpdateSectionsResponse>
    <return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:Section[1]">
      <item xsi:type="tns:Section">
        <id xsi:type="xsd:int">0</id>
        <extSectionId xsi:type="xsd:string">string</extSectionId>
        <extGroupId xsi:type="xsd:string">string</extGroupId>
        <restId xsi:type="xsd:int">0</restId>
        <name xsi:type="xsd:string">string</name>
        <managerId xsi:type="xsd:int">0</managerId>
        <managerGroupId xsi:type="xsd:int">0</managerGroupId>
        <costCentre xsi:type="xsd:int">0</costCentre>
        <costCentreExtCode xsi:type="xsd:string">string</costCentreExtCode>
        <ts xsi:type="xsd:dateTime">2024-01-01T00:00:00Z</ts>
        <validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
          <item xsi:type="xsd:string">string</item>
        </validationErrors>
      </item>
    </return>
    </tns:wsdlUpdateSectionsResponse>
  </soap:Body>
</soap:Envelope>

Change log

Date Description
2020-07-29 created